<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="3ff4794b-6964-480b-bcb6-ead103f7d762" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/src/main/java/common/result/ResponseStatusEnum.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/common/result/ResponseStatusEnum.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/classes/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-27">
              <caret line="12" column="172" selection-start-line="12" selection-start-column="49" selection-end-line="12" selection-end-column="172" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/common/utils/smsUtil.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="235">
              <caret line="25" column="7" selection-start-line="25" selection-start-column="7" selection-end-line="25" selection-end-column="7" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/common/exception/EmsException.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="230">
              <caret line="10" column="29" selection-start-line="10" selection-start-column="18" selection-end-line="10" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/common/exception/MyCustomException.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="207">
              <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/common/exception/EmsExceptionHandler.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="169">
              <caret line="160" column="50" selection-start-line="160" selection-start-column="50" selection-end-line="160" selection-end-column="50" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/video/model/utils/CommonResult.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1275">
              <caret line="76" column="31" selection-start-line="76" selection-start-column="31" selection-end-line="76" selection-end-column="31" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#411#412#0" expanded="true" />
                <element signature="e#449#450#0" expanded="true" />
                <element signature="e#518#519#0" expanded="true" />
                <element signature="e#568#569#0" expanded="true" />
                <element signature="e#609#610#0" expanded="true" />
                <element signature="e#650#651#0" expanded="true" />
                <element signature="e#714#715#0" expanded="true" />
                <element signature="e#765#766#0" expanded="true" />
                <element signature="e#1413#1414#0" expanded="true" />
                <element signature="e#1468#1469#0" expanded="true" />
                <element signature="e#1617#1618#0" expanded="true" />
                <element signature="e#1688#1689#0" expanded="true" />
                <element signature="e#2084#2085#0" expanded="true" />
                <element signature="e#2158#2159#0" expanded="true" />
                <element signature="e#2287#2288#0" expanded="true" />
                <element signature="e#2329#2330#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/video/config/smsConfig.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="483">
              <caret line="21" column="19" selection-start-line="21" selection-start-column="19" selection-end-line="21" selection-end-column="19" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/common/result/ResponseStatusEnum.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-23">
              <caret line="32" column="34" selection-start-line="32" selection-start-column="34" selection-end-line="32" selection-end-column="34" />
              <folding>
                <element signature="e#1581#1582#0" expanded="true" />
                <element signature="e#1610#1611#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/video/annotation/UserLoginCheck.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="253">
              <caret line="12" column="18" selection-start-line="12" selection-start-column="18" selection-end-line="12" selection-end-column="18" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/video/aop/LoginCheckAspect.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="299">
              <caret line="21" column="13" selection-start-line="21" selection-start-column="13" selection-end-line="21" selection-end-column="13" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="AnnotationType" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>swagger</find>
      <find>deleteById</find>
      <find>delete</find>
      <find>000</find>
      <find>CloseableHttpResponse</find>
      <find>by</find>
      <find>vers</find>
      <find>statusCode</find>
      <find>throw</find>
      <find>import</find>
      <find>@</find>
      <find>QueryMenuTreeRecords</find>
      <find>LogicSqlInjector</find>
      <find>mybatisplus</find>
      <find>mybatis</find>
      <find>de</find>
      <find>update</find>
      <find>saveOrUpdate</find>
      <find>insertPlaybackRecord</find>
      <find>getPlaybackRecords</find>
      <find>querySystemMenuAll</find>
      <find>tests</find>
      <find>json</find>
      <find>params</find>
      <find>properties</find>
      <find>SmsSingleSenderResult</find>
      <find>sendWithParam</find>
      <find>status</find>
      <find>FAILED</find>
      <find>getErrors</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/VideoService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/VideoShareService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/mapper/SystemAuthorityMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/mapper/SystemRoleMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/mapper/SystemUserMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/mapper/VideoCategoryMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/mapper/VideoMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/mapper/VideoPlayMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/SystemAuthorityServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/SystemRoleServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/SystemUserServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/VideoCategoryServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/VideoPlayServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/VideoServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/VideoShareServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/PlaybackRecordImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/core/SwaggerConfiguration.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/videos/MybatisPlusApplicationTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/pojo/QrCode.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/vo/ProProjectRecursionVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/vo/SystemMenuTreeVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/pojo/SystemMenu.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/pojo/QrCodeResult.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/pojo/result.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/pojo/resultData.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/annotation/UserLoginCheck.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/core/JwtAuthenticationInterceptor.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/api/PlaybackRecordControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/aop/LoginCheckAspect.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/handler/MyMetaObjectHandler.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/config/RedisTemplateConfiguration.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/MybatisPlusApplication.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/video/SystemMenuMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/mapper/SystemMenuMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/SystemMenuService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/services/impl/SystemMenuServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/api/SystemMenuControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/controller/SystemMenuController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/controller/PlaybackRecordController.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/application-dev.yml" />
        <option value="$PROJECT_DIR$/src/main/resources/application-prod.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/config/smsConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/common/smsUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/common/exception/EmsException.java" />
        <option value="$PROJECT_DIR$/src/main/java/common/exception/MyCustomException.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/video/model/utils/CommonResult.java" />
        <option value="$PROJECT_DIR$/src/main/java/common/exception/EmsExceptionHandler.java" />
        <option value="$PROJECT_DIR$/src/main/java/common/utils/smsUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/common/result/ResponseStatusEnum.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\Software\Develop\Maven\repository" />
        <option name="mavenHome" value="D:/Software/Develop/Maven/apache-maven-3.3.9" />
        <option name="userSettingsFile" value="D:\Software\Develop\Maven\apache-maven-3.3.9\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-7" />
    <option name="width" value="974" />
    <option name="height" value="1039" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="annotation" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="aop" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="core" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="handle" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="handler" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="video" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="exception" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="result" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="videoShare" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/main/java/common/result" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="restartRequiresConfirmation" value="false" />
    <property name="settings.editor.selected.configurable" value="spring" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Bingo\Desktop\工作内容\视频系统\videoShare\src\main\java\common\result" />
      <recent name="D:\Bingo\Desktop\工作内容\视频系统\videoShare\src\main\java\common\exception" />
      <recent name="D:\Bingo\Desktop\视频分享\src\main\resources" />
      <recent name="D:\Bingo\Desktop\视频分享\src\main\java\com\video\services\core" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.video.model.vo" />
      <recent name="com.video.api" />
      <recent name="com.video.services.annotation" />
      <recent name="com.video.services.core" />
      <recent name="com.video.config" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\Bingo\Desktop\工作内容\视频系统\视频分享\src\main\resources\mapper\video" />
      <recent name="D:\Bingo\Desktop\工作内容\视频系统\视频分享\src\test\java\com\videos" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.MybatisPlusApplication">
    <configuration name="AutoCode" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.video.AutoCode" />
      <module name="share_video" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.video.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MybatisPlusApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="share_video" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.video.MybatisPlusApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.AutoCode" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3ff4794b-6964-480b-bcb6-ead103f7d762" name="Default Changelist" comment="" />
      <created>1679562522613</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1679562522613</updated>
      <workItem from="1679562523742" duration="3972000" />
      <workItem from="1679566581293" duration="21487000" />
      <workItem from="1679963571823" duration="2956000" />
      <workItem from="1680070140850" duration="11231000" />
      <workItem from="1680167951979" duration="2908000" />
      <workItem from="1680223299918" duration="1584000" />
      <workItem from="1680225009471" duration="11297000" />
      <workItem from="1680573521898" duration="19673000" />
      <workItem from="1680688739666" duration="19000" />
      <workItem from="1680833620496" duration="2082000" />
      <workItem from="1681086331859" duration="1057000" />
      <workItem from="1681087422263" duration="8655000" />
      <workItem from="1681172751407" duration="27000" />
      <workItem from="1681262460735" duration="5262000" />
      <workItem from="1681271225010" duration="593000" />
      <workItem from="1681275747908" duration="595000" />
      <workItem from="1681437031569" duration="607000" />
      <workItem from="1681439112974" duration="1865000" />
      <workItem from="1681454679954" duration="2655000" />
      <workItem from="1681864191573" duration="1924000" />
      <workItem from="1681866277958" duration="34000" />
      <workItem from="1681868475095" duration="5291000" />
      <workItem from="1681888841732" duration="1218000" />
      <workItem from="1681950116855" duration="4291000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="111283000" />
  </component>
  <component name="TodoView" selected-index="2">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1048" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Structure" order="0" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="1" />
      <window_info id="JRebel" order="2" side_tool="true" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="8" visible="true" weight="0.18017058" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32459018" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.64153004" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.33002207" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32568306" />
      <window_info anchor="bottom" id="Spring" order="7" weight="0.32896176" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32896176" />
      <window_info anchor="bottom" id="Docker" order="9" weight="0.32896176" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Java Enterprise" order="11" weight="0.32896176" />
      <window_info anchor="bottom" id="Database Changes" order="12" />
      <window_info anchor="bottom" id="Version Control" order="13" />
      <window_info anchor="bottom" id="JRebel Executor" order="14" />
      <window_info anchor="bottom" id="JRebel Console" order="15" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="16" visible="true" weight="0.31728664" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.32995737" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="JRebel Setup Guide" order="9" side_tool="true" />
      <window_info anchor="right" id="Bean Validation" order="10" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/video/controller/SystemMenuController.java</url>
          <line>90</line>
          <properties />
          <option name="timeStamp" value="13" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="SpringBootApplicationConfigurationType">
        <watch expression="data" />
      </configuration>
    </watches-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/video/VideoMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/video/VideoPlayMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/video/VideoCategoryMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/mapper/SystemAuthorityMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="13" column="17" selection-start-line="13" selection-start-column="17" selection-end-line="13" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/mapper/SystemRoleMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="13" column="17" selection-start-line="13" selection-start-column="17" selection-end-line="13" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/video/SystemAuthorityMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus-extension/3.0.5/mybatis-plus-extension-3.0.5.jar!/com/baomidou/mybatisplus/extension/injector/LogicSqlInjector.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="30" column="13" selection-start-line="30" selection-start-column="13" selection-end-line="30" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/services/SystemRoleService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="13" column="17" selection-start-line="13" selection-start-column="17" selection-end-line="13" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/videos/MybatisPlusApplicationTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="759">
          <caret line="33" column="13" selection-start-line="33" selection-start-column="13" selection-end-line="33" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/videos/WrapperTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="759">
          <caret line="33" column="22" selection-start-line="33" selection-start-column="15" selection-end-line="33" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/services/PlaybackRecordService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="13" selection-start-line="13" selection-end-line="16" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/services/impl/PlaybackRecordImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="598">
          <caret line="33" column="66" selection-start-line="33" selection-start-column="48" selection-end-line="33" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/handle/NonStaticResourceHttpRequestHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus-core/3.0.5/mybatis-plus-core-3.0.5.jar!/com/baomidou/mybatisplus/core/handlers/MetaObjectHandler.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="15" column="30" selection-start-line="15" selection-start-column="30" selection-end-line="15" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/mybatis/mybatis/3.4.6/mybatis-3.4.6-sources.jar!/org/apache/ibatis/session/defaults/DefaultSqlSession.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="198" selection-start-line="198" selection-end-line="198" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus-core/3.0.5/mybatis-plus-core-3.0.5.jar!/com/baomidou/mybatisplus/core/MybatisDefaultParameterHandler.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="47" selection-start-line="47" selection-end-line="47" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/mybatis/mybatis/3.4.6/mybatis-3.4.6-sources.jar!/org/apache/ibatis/executor/SimpleExecutor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="52" selection-start-line="52" selection-end-line="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/model/pojo/SystemMenu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="862">
          <caret line="55" column="15" selection-start-line="55" selection-start-column="5" selection-end-line="55" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/config/RedisTemplateConfiguration.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/MybatisPlusApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="14" column="22" lean-forward="true" selection-start-line="14" selection-start-column="22" selection-end-line="14" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/handler/MyMetaObjectHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/mybatis/mybatis/3.4.6/mybatis-3.4.6-sources.jar!/org/apache/ibatis/plugin/Plugin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="966">
          <caret line="64" selection-start-line="64" selection-end-line="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/model/vo/SystemMenuVo.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/services/SystemMenuService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="621">
          <caret line="32" column="66" selection-start-line="32" selection-start-column="66" selection-end-line="32" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/video/SystemMenuMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="9" column="34" selection-start-line="9" selection-start-column="16" selection-end-line="9" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/services/impl/SystemMenuServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="770">
          <caret line="82" column="51" lean-forward="true" selection-start-line="82" selection-start-column="51" selection-end-line="82" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/api/SystemMenuControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="22" column="50" selection-start-line="22" selection-start-column="26" selection-end-line="22" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/config/MyBatisPlusConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="18" column="13" selection-start-line="18" selection-start-column="13" selection-end-line="18" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/controller/SystemMenuController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="782">
          <caret line="48" column="14" selection-start-line="48" selection-start-column="14" selection-end-line="48" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/annotation/ControllerIsShow.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="9" column="18" selection-start-line="9" selection-start-column="18" selection-end-line="9" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/api/PlaybackRecordControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="449">
          <caret line="29" column="34" lean-forward="true" selection-start-line="29" selection-start-column="34" selection-end-line="29" selection-end-column="34" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/AutoCode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1173">
          <caret line="63" column="17" selection-start-line="63" selection-start-column="17" selection-end-line="63" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/mapper/SystemMenuMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="24" column="11" selection-start-line="24" selection-start-column="11" selection-end-line="24" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application-prod.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="723">
          <caret line="50" column="11" selection-start-line="50" selection-start-column="11" selection-end-line="50" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="427">
          <caret line="23" column="51" lean-forward="true" selection-start-line="23" selection-start-column="51" selection-end-line="23" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/controller/PlaybackRecordController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="851">
          <caret line="122" column="80" selection-start-line="122" selection-start-column="80" selection-end-line="122" selection-end-column="80" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/annotation/PassToken.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="25" column="18" selection-start-line="25" selection-start-column="18" selection-end-line="25" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/com/github/qcloudsms/qcloudsms/1.0.6/qcloudsms-1.0.6.jar!/com/github/qcloudsms/SmsSingleSenderResult.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="11" column="34" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-27">
          <caret line="12" column="172" selection-start-line="12" selection-start-column="49" selection-end-line="12" selection-end-column="172" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application-dev.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="736">
          <caret line="50" column="2" selection-start-line="50" selection-start-column="2" selection-end-line="50" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/aop/LoginCheckAspect.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="21" column="13" selection-start-line="21" selection-start-column="13" selection-end-line="21" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/annotation/UserLoginCheck.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="12" column="18" selection-start-line="12" selection-start-column="18" selection-end-line="12" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/com/github/qcloudsms/qcloudsms/1.0.6/qcloudsms-1.0.6.jar!/com/github/qcloudsms/SmsSingleSender.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="782">
          <caret line="61" column="80" selection-start-line="61" selection-start-column="80" selection-end-line="61" selection-end-column="80" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/common/exception/EmsException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="29" selection-start-line="10" selection-start-column="18" selection-end-line="10" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/model/utils/BaseResult.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="586">
          <caret line="28" column="19" selection-start-line="28" selection-start-column="19" selection-end-line="28" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/model/utils/CommonResult.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1275">
          <caret line="76" column="31" selection-start-line="76" selection-start-column="31" selection-end-line="76" selection-end-column="31" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#411#412#0" expanded="true" />
            <element signature="e#449#450#0" expanded="true" />
            <element signature="e#518#519#0" expanded="true" />
            <element signature="e#568#569#0" expanded="true" />
            <element signature="e#609#610#0" expanded="true" />
            <element signature="e#650#651#0" expanded="true" />
            <element signature="e#714#715#0" expanded="true" />
            <element signature="e#765#766#0" expanded="true" />
            <element signature="e#1413#1414#0" expanded="true" />
            <element signature="e#1468#1469#0" expanded="true" />
            <element signature="e#1617#1618#0" expanded="true" />
            <element signature="e#1688#1689#0" expanded="true" />
            <element signature="e#2084#2085#0" expanded="true" />
            <element signature="e#2158#2159#0" expanded="true" />
            <element signature="e#2287#2288#0" expanded="true" />
            <element signature="e#2329#2330#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/video/config/smsConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="483">
          <caret line="21" column="19" selection-start-line="21" selection-start-column="19" selection-end-line="21" selection-end-column="19" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/common/utils/smsUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="235">
          <caret line="25" column="7" selection-start-line="25" selection-start-column="7" selection-end-line="25" selection-end-column="7" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/common/exception/EmsExceptionHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="160" column="50" selection-start-line="160" selection-start-column="50" selection-end-line="160" selection-end-column="50" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/common/exception/MyCustomException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/common/result/ResponseStatusEnum.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-23">
          <caret line="32" column="34" selection-start-line="32" selection-start-column="34" selection-end-line="32" selection-end-column="34" />
          <folding>
            <element signature="e#1581#1582#0" expanded="true" />
            <element signature="e#1610#1611#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>share_video</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: ch.qos.logback:logback-classic:1.2.3</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>